RunLengthIntegerReaderV2 (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class RunLengthIntegerReaderV2

- java.lang.Object
- - org.apache.orc.impl.RunLengthIntegerReaderV2

- All Implemented Interfaces:
    IntegerReader

      public class RunLengthIntegerReaderV2
      extends Object
      implements IntegerReader

  A reader that reads a sequence of light weight compressed integers. Refer `RunLengthIntegerWriterV2` for description of various lightweight compression techniques.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunLengthIntegerReaderV2(InStream input, boolean signed, boolean skipCorrupt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Check if there are any more values left.
    `long` | `next()` Return the next available value.
    `void` | `nextVector(ColumnVector vector, int[] data, int size)` Return the next available vector for values.
    `void` | `nextVector(ColumnVector previous, long[] data, int previousLen)` Return the next available vector for values.
    `void` | `seek(PositionProvider index)` Seek to the position provided by index.
    `void` | `skip(long numValues)` Skip number of specified rows.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### RunLengthIntegerReaderV2

          public RunLengthIntegerReaderV2(InStream input,
                                          boolean signed,
                                          boolean skipCorrupt)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws IOException

      Description copied from interface: `IntegerReader`
      Check if there are any more values left.
      Specified by:
        `hasNext` in interface `IntegerReader`
      Returns:
      Throws:
        `IOException`

    - #### next

          public long next()
                    throws IOException

      Description copied from interface: `IntegerReader`
      Return the next available value.
      Specified by:
        `next` in interface `IntegerReader`
      Returns:
      Throws:
        `IOException`

    - #### seek

          public void seek(PositionProvider index)
                    throws IOException

      Description copied from interface: `IntegerReader`
      Seek to the position provided by index.
      Specified by:
        `seek` in interface `IntegerReader`
      Throws:
        `IOException`

    - #### skip

          public void skip(long numValues)
                    throws IOException

      Description copied from interface: `IntegerReader`
      Skip number of specified rows.
      Specified by:
        `skip` in interface `IntegerReader`
      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(ColumnVector previous,
                                 long[] data,
                                 int previousLen)
                          throws IOException

      Description copied from interface: `IntegerReader`
      Return the next available vector for values.
      Specified by:
        `nextVector` in interface `IntegerReader`
      Parameters:
        `previous` - the column being read
        `data` - the vector to read into
        `previousLen` - the number of numbers to read
      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(ColumnVector vector,
                                 int[] data,
                                 int size)
                          throws IOException

      Description copied from interface: `IntegerReader`
      Return the next available vector for values. Does not change the value of column.isRepeating.
      Specified by:
        `nextVector` in interface `IntegerReader`
      Parameters:
        `vector` - the column being read
        `data` - the vector to read into
        `size` - the number of numbers to read
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.